QGIS Application - Bug report #8591
else condition for rules
2013-09-09 06:15 PM - Nathan Woodrow

Status: Closed

Priority: Normal
Assignee: Nathan Woodrow
Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 17333

Description

We really need a else rule for rule based rendering. Top level else should be a final fallback if no rules are true, nested else should only

work within that group

Consider the following

Label Rule
4 1st Inspection "REPORT_DATEZ" 15 NULL
@ 1stComplaint "TYPE" ='Complaint’
@ Infringement "TYPE" ='Infringement’
© 1stPartially Com.. "TYPE" ='Partially Compliant’
@® Work Order "TYPE" ="Work Order’
© Compliant HSZ "TYPE" ='"Compliant HSZ'
4 2nd Inspection NOT "REPORT_DATEZ" IS NULL
© 2nd Complaint "TYPE" ='Complaint’
@ Contractor "TYPE" ='Contractor’
@ 2nd Partially Com.. "TYPE" ='Partially Compliant'
o] {no filter)

A top level else is really required in order to draw the white with black dot symbol only when all the other conditions are not meet.

History

#1 - 2013-09-09 06:16 PM - Nathan Woodrow
- Assignee set to Martin Dobias

- Target version set to Future Release - High Priority

#2 - 2013-09-09 06:16 PM - Nathan Woodrow

Assigning to you Martin but | would like to chat about it at the HF.

#3 - 2013-09-10 04:49 AM - Nathan Woodrow
- Assignee changed from Martin Dobias to Nathan Woodrow

I'll have a look into this

#4 - 2013-09-11 11:04 PM - Nathan Woodrow
- File else.png added

Work in progress

else.png

#5 - 2013-09-11 11:04 PM - Nathan Woodrow

- % Done changed from 0 to 50

#6 - 2013-09-12 04:49 AM - Nathan Woodrow

- % Done changed from 50 to 70

Logic implemented in commit:02ed712b03de18a3

Not closing until the Ul is cleaner. Just added ELSE to the expression text will make the execute only if the other rules fail.

#7 - 2014-06-20 08:42 AM - Jiirgen Fischer
- Category set to GUI

#8 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#9 - 2018-03-26 08:39 PM - Harrissou Santanna

- Description updated

Can we close this now that commit:f2e8c37e is done or anything left to do?

#10 - 2018-09-17 09:31 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed
